import ContextModel from "../Models/ContextModel.js";
import GlobalEvents from "../Events/GlobalEvents.js";
import GlobalStorage from "../Models/Storage/GlobalStorage.js";
export interface IGlobalContextOptions {
    parent: ContextModel;
}
export declare class GlobalContext {
    private m_parent;
    private m_events;
    private m_storage;
    constructor(options: IGlobalContextOptions);
    get events(): GlobalEvents;
    get parent(): ContextModel;
    get storage(): GlobalStorage;
}
